---
# This role setup a portainer managing application for a docker swarm cluster
# see https://portainer.io/ for more details
- name: Verify portainer_admin_password is defined and not empty
  assert:
    that: >
      portainer_admin_password is defined and portainer_admin_password|length
    msg: "portainer_admin_password must be defined an not empty"

- name: Ensure portainer directory exists
  file:
    state: directory
    path: "{{ portainer_compose_file_dest_directory }}"

- name: Tag current node as portainer origin
  docker_node:
    hostname: "{{ hostname }}"
    labels:
      portainer.portainer-data: "true"

- name: Copy Portainer stack
  template:
    src: files/docker-compose.portainer.j2.yml
    dest: "{{ portainer_compose_file_dest }}"
    mode: u=rw,g=,o=

- name: Deploy portainer
  docker_stack:
    state: present
    prune: yes
    name: portainer
    compose:
      - "{{ portainer_compose_file_dest }}"
  notify: docker prune
...